AOZ Studio Beta - Bug #394

"if without endif" error causes new Atom editor window to open.

06/18/2020 10:11 AM - Brian Flanagan

Status: Closed Start date: 06/18/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 2:00 hours
Target version: Beta RC4

Affected version: Beta RC2

Description

When "if without endif" error occurs, a new, blank, editor window opens.

History

#1 - 06/27/2020 04:28 PM - Brian Flanagan
- Affected version changed from 0.9.9.2 to 0.9.9.3

#2 - 09/19/2020 01:36 PM - Brian Flanagan

- Assignee set to Baptiste Bideaux

- Estimated time set to 2:00 h

- Affected version changed from 0.9.9.3 to Beta RC2

This also happens when certain other errors occur.

#3 - 10/07/2020 09:30 AM - Francois Lionet
- Status changed from New to Resolved
- Assignee changed from Baptiste Bideaux to Francois Lionet

- Target version set to Beta RC4

Fixed. The transpiler was returning the name of the current aoz file instead of its pathname for such errors.

Also affected For without Next, repeat without Until etc.

#4 - 10/09/2020 02:23 PM - Brian Flanagan

- Status changed from Resolved to Closed

Works with 9 Oct updates!

#5 - 10/09/2020 02:24 PM - Brian Flanagan

BTW, I like the white on red error messages. Much easier to read!
